﻿{#template MAIN}
<div id="cmsPageManager">
  <div id="cmsPageManagerPageSelector">
      <ul class="cmsPageManager">
      {#foreach $T as r}
      {#include row root=$T.r}
      {#/for}
        </ul>
      </div>
      <div style="float: left; width: 30%; padding: 10px; background: #fcfcfc;">
		<div id="cmsPageManagerMessage" style="display: none;">
			<p class="cmsInfo"></p>
		</div>
        <div id="cmsPageManagerAddPageWrapper" style="display: none;">
            <p class="cmsInfo">
            Add multiple pages by separating each new page title with a return.
            </p>
            <form>
            <input type="hidden" id="cmsPageManagerPageParent" value="" />
            <div>
              <textarea class="cmsTxtArea" id="cmsPageManagerPageTitle">New Page Title</textarea>
            </div>
            <p class="cmsInfo">
				Select template to base new pages on:  
				<select id="cmsPageManagerPageTemplate">
					<option value="">[None]</option>
					{#foreach $P.templates as pTemplate}
					{#include listItem root=$T.pTemplate}
					{#/for}
				</select>
			</p>
            <div>
              <input type="submit" class="cmsBtn" id="cmsPageManagerAddBtn" value="Add Page(s)" />
              <input type="submit" class="cmsBtn" id="cmsPageManagerAddCancelBtn" value="Cancel" />
            </div>
            </form>
        </div>
      </div>
  </div>
  <div class="cmsClear">&nbsp;</div>
{#/template MAIN}

{#template row}
  {#if $T.json_LiveVersion || $T.json_DraftVersion}
  
  {#param name=pageTitle value=''}
  {#if $T.json_LiveVersion}
    {#param name=pageTitle value=$T.json_LiveVersion.json_Title}
    {#else}
        {#if $T.json_DraftVersion}
            {#param name=pageTitle value=$T.json_DraftVersion.json_Title}
        {#/if}
    {#/if}

  <li class="{#if $T.json_PageId == cmsPageVersion.json_PageId}cmsCurrentPage{#else}default{#/if} ">
    <a href="{$T.json_Url}" rel="{$T.json_PageId}" title="{$P.pageTitle}">
      <span>
		{#if $T.json_ChildPages.length > 0}&gt;{#else}&nbsp;{#/if}
        {$P.pageTitle}
        &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
      </span>
    </a>
    {#if $T.json_ChildPages.length > 0}
    <ul style="display:none;">
      {#foreach $T.json_ChildPages as r2}
      {#include row root=$T.r2}
      {#/for}
    </ul>
    {#/if}
  </li>
  {#/if}
{#/template row}

{#template listItem}
	<option value="{$T.json_PageTemplateId}">{$T.json_Title}</option>
{#/template listItem}