﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using OpenQuarters.EntityBase;
using System.Configuration;
using System.Data.Linq;

namespace OpenQuarters.WebQuarters.Core.Web
{
    public class CMSDataContextHelper : IDataContextHelper
    {
        public CMSDataContextHelper()
        {
        }

        #region IDataContextHelper Members

        public string GetConnectionString<T>() where T : DataContext
        {
            return ConfigurationManager.ConnectionStrings["WebQuartersConnectionString"].ConnectionString;
        }

        public void RegisterHelpers()
        {
            DataContextHelper.RegisterHelper<CMSDataContext, CMSDataContextHelper>();
        }

        #endregion
    }
}