﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Configuration;

namespace OpenQuarters.WebQuarters.Core
{
    public class SettingsSection : ConfigurationSection
    {
        [ConfigurationProperty("siteTitle")]
        public string SiteTitle
        {
            get { return this["siteTitle"] as string; }
        }

        [ConfigurationProperty("siteRssTitle")]
        public string SiteRssTitle
        {
            get { return this["siteRssTitle"] as string; }
        }

        [ConfigurationProperty("gZipEnabled")]
        public bool? GZipEnabled
        {
            get { return this["gZipEnabled"] as bool?; }
        }

        [ConfigurationProperty("siteCustomSettings")]
        public SettingsElementCollection SiteCustomSettings
        {
            get { return this["siteCustomSettings"] as SettingsElementCollection; }
        }

        [ConfigurationProperty("providerSettings")]
        public SettingsElementCollection ProviderSettings
        {
            get { return this["providerSettings"] as SettingsElementCollection; }
        }
    }
}
