﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace OpenQuarters.WebQuarters.Core
{
    public partial class Url : CMSEntity<Url, long>
    {
        public override System.Linq.Expressions.Expression<Func<Url, bool>> GetIDSelector(long ID)
        {
            return e => e.UrlId == ID;
        }

        public override long GetKey(Url Entity)
        {
            return Entity.UrlId;
        }

        public override void OnSaving()
        {
            base.OnSaving();

            this.LoggingMode = LoggingMode.Off;
        }

        public override string ToString()
        {
            return this.PageUrl;
        }
    }
}
