﻿<%@ Control Language="C#" Inherits="System.Web.Mvc.ViewUserControl<List<OpenQuarters.WebQuarters.Modules.Articles.Article>>" %>
<ul class="cmsItemList">
<%
    int index = 0;
    foreach (var i in Model) {
        if (i.IsLive || OpenQuarters.WebQuarters.Core.User.Current.HasPermission(OpenQuarters.WebQuarters.Core.Permissions.CMSPage.Edit.SetValue(OpenQuarters.WebQuarters.Core.CMSPage.Current.PageId.ToString())))
        {%>
        <li class="cmsItem clearfix<%= (index==0 ? " first" : "") %>" rel="<%= i.GetIDAsString() %>">
             <% if (!string.IsNullOrEmpty(i.ThumbnailPath))
                { %>
                <div class="image">
                    <img src="<%= i.ThumbnailPath %>" alt="<%= i.Title %>" />
                </div>   
            <div class="content">
            <% }
                else
                {%>
            <div class="content fullwidth">
            <%} %>
                <h2>
                    <a href="<%= i.Url %>"><%= i.Title%></a>
                    <div class="clear"></div>
                </h2>
                <p>
                    <%= i.Summary%>...<a href="<%= i.Url %>">full story</a> <%= i.EditLink%> <%= i.DeleteLink%>
                </p>       
            </div>
            <div class="clear"></div>
        </li>
<%      
        }
        index++;
    } %>
</ul>