﻿/****** Object:  Table [dbo].[Article]    Script Date: 08/24/2009 15:13:48 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

SET ANSI_PADDING ON
GO

CREATE TABLE [dbo].[Article](
	[ArticleId] [bigint] IDENTITY(1,1) NOT NULL,
	[LanguageId] [varchar](2) NULL,
	[Category] [nvarchar](50) NULL,
	[Title] [nvarchar](255) NULL,
	[Summary] [nvarchar](2000) NULL,
	[Content] [ntext] NULL,
	[Keywords] [nvarchar](100) NULL,
	[DateCreated] [datetime] NOT NULL,
	[IsLive] [bit] NOT NULL,
	[Timestamp] [timestamp] NULL,
	[ThumbnailPath] [nvarchar](250) NULL,
	[Order] int NOT NULL,
 CONSTRAINT [PK_Article] PRIMARY KEY CLUSTERED 
(
	[ArticleId] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO

SET ANSI_PADDING OFF
GO

ALTER TABLE [dbo].[Article] ADD  CONSTRAINT [DF_Article_DateCreated]  DEFAULT (getdate()) FOR [DateCreated]
GO

ALTER TABLE [dbo].[Article] ADD  DEFAULT ((0)) FOR [IsLive]
GO

ALTER TABLE [dbo].[Article] ADD DEFAULT ((0))
GO