﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using OpenQuarters.EntityBase;
using System.Configuration;

namespace OpenQuarters.WebQuarters.Modules.Blog
{
    public class BlogDataContextHelper : IDataContextHelper
    {
        public BlogDataContextHelper()
            : base()
        {
        }

        #region IDataContextHelper Members

        public string GetConnectionString<T>() where T : System.Data.Linq.DataContext
        {
            return ConfigurationManager.ConnectionStrings["WebQuartersConnectionString"].ConnectionString;
        }

        public void RegisterHelpers()
        {
            DataContextHelper.RegisterHelper<BlogDataContext, BlogDataContextHelper>();
        }

        #endregion
    }
}
