﻿<%@ Control Language="C#" Inherits="System.Web.Mvc.ViewUserControl<OpenQuarters.WebQuarters.Modules.Blog.BlogPost>" %>

<div class="cmsItem" rel="<%= Model.GetIDAsString() %>">

    <h2><div class="editable" rel="json_Title"><%= Model.Title %></div></h2>
    <div class="blogPostDetails">
        <%= Model.DateCreated.ToLongDateString() %> - <a href="<%= Model.Url %>">Permalink</a>
    </div>
    <div class="editable" rel="json_Content"><%= Model.Content %></div>
    <hr />
<%--    <a name="comments"></a>

    <% foreach (var comment in Model.BlogComments.OrderBy(e => e.DateCreated))
       {
           if (comment.Approved || OpenQuarters.WebQuarters.Core.User.Current.HasPermission(OpenQuarters.WebQuarters.Modules.Blog.Permissions.ApproveComments.SetValue(comment.BlogPost.BlogInstanceId.ToString())))
           {
           %>

            <div class="blogComment">
                <a name="comment<%= comment.BlogCommentId.ToString() %>"></a>
                <h4>
                    <a href="<%= comment.AuthorUrl %>">
                        <%= comment.AuthorName %>
                    </a> 
                    <small>
                        at <%= comment.DateCreated.ToString("U") %>
                        <a href="<%= comment.Url %>">#</a>
                    </small>
                </h4>
                <p><%= comment.Comment %></p>

                <% if (!comment.Approved)
                   { %>
                        Approve | Delete
                <% } %>
            </div>

    <%
           }
       } %>--%>
   
</div>

<%= Model.GetBackLink("Back to index") %>