﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using OpenQuarters.EntityBase;
using System.Configuration;

namespace OpenQuarters.WebQuarters.Modules.Feedback
{
    public class FeedbackDataContextHelper : IDataContextHelper
    {
        public FeedbackDataContextHelper()
            : base()
        {
        }

        #region IDataContextHelper Members

        public string GetConnectionString<T>() where T : System.Data.Linq.DataContext
        {
            return ConfigurationManager.ConnectionStrings["WebQuartersConnectionString"].ConnectionString;
        }

        public void RegisterHelpers()
        {
            DataContextHelper.RegisterHelper<FeedbackContextDataContext, FeedbackDataContextHelper>();
        }

        #endregion
    }
}
