﻿
INSERT [dbo].[Language] ([LanguageId], [Title], [IsDefault]) VALUES (N'en', N'English', 1)

SET IDENTITY_INSERT [dbo].[CMSPage] ON
INSERT [dbo].[CMSPage] ([PageId], [ParentId], [LivePageVersionId], [Reference]) VALUES (1, NULL, 1, N'HOME')
INSERT [dbo].[CMSPage] ([PageId], [ParentId], [LivePageVersionId], [Reference]) VALUES (2, 1, 2, N'LOGIN')
SET IDENTITY_INSERT [dbo].[CMSPage] OFF

INSERT [dbo].[User] ([UserId], [Password], [Email], [Surname], [FirstName] [IsActive]) VALUES (N'admin', N'21232f297a57a5a743894a0e4a801fc3', NULL, NULL, NULL, 1)

INSERT [dbo].[Role] ([RoleId], [Name], [IsDefault]) VALUES (N'Admin', N'Admin', 0)
INSERT [dbo].[Role] ([RoleId], [Name], [IsDefault]) VALUES (N'Editor', N'Editor', 0)
INSERT [dbo].[Role] ([RoleId], [Name], [IsDefault]) VALUES (N'Guest', N'Guest', 1)
INSERT [dbo].[Role] ([RoleId], [Name], [IsDefault]) VALUES (N'SuperAdmin', N'Super Admin', 0)
INSERT [dbo].[Role] ([RoleId], [Name], [IsDefault]) VALUES (N'User', N'User', 0)

SET IDENTITY_INSERT [dbo].[Url] ON
INSERT [dbo].[Url] ([UrlId], [PageId], [LanguageId], [PageUrl]) VALUES (1, 1, N'en', N'home')
INSERT [dbo].[Url] ([UrlId], [PageId], [LanguageId], [PageUrl]) VALUES (2, 2, N'en', N'login')
SET IDENTITY_INSERT [dbo].[Url] OFF

SET IDENTITY_INSERT [dbo].[CMSPageVersion] ON
INSERT [dbo].[CMSPageVersion] ([PageVersionId], [PageId], [LanguageId], [Order], [UserId], [IsLive], [DateCreated], [Title], [Template], [Keywords], [Description], [NoFollow], [Definition]) VALUES (2, 2, N'en', 1, NULL, 1, CAST(0x00009BDA014ADD7A AS DateTime), N'Login', N'Default', NULL, NULL, 0, N'{"Areas":[{"Modules":[],"Id":"footer"},{"Modules":[],"Id":"menucontainer"},{"Modules":[{"ModuleType":"OpenQuarters.WebQuarters.Modules.Core.LoginModule","ModuleJSON":"{}","JQueryEditorName":"cmsModuleEditor","ModuleName":"Login Module","ModuleNameClassSafe":"loginModule","UniqueID":"755000c6_6008_4050_99cc_8ac13c208a1f","IsInherited":false}],"Id":"main"},{"Modules":[],"Id":"logindisplay"}]}')
INSERT [dbo].[CMSPageVersion] ([PageVersionId], [PageId], [LanguageId], [Order], [UserId], [IsLive], [DateCreated], [Title], [Template], [Keywords], [Description], [NoFollow], [Definition]) VALUES (1, 1, N'en', 0, NULL, 1, CAST(0x00009BE200A50832 AS DateTime), N'Home', N'Home', N'keywords go here', N'description goes here', 0, N'{"Areas":[{"Modules":[{"ModuleType":"OpenQuarters.WebQuarters.Modules.Core.LoginModule","ModuleJSON":"{\"Display_Log_Out_as\":\"1\", \"Display_Form\":\"false\"}","JQueryEditorName":"cmsModuleEditor","ModuleName":"Login Module","ModuleNameClassSafe":"loginModule","UniqueID":"1e917604_4394_4088_989e_57a4c8af621a","IsInherited":false}],"Id":"logindisplay"},{"Modules":[{"ModuleType":"OpenQuarters.WebQuarters.Modules.Core.NavigationModule","ModuleJSON":"{\"Start_at_home_page\":\"false\", \"Maximum_levels\":\"1\"}","JQueryEditorName":"cmsModuleEditor, cmsModuleEditor_Navigation","ModuleName":"Navigation Module","ModuleNameClassSafe":"navigationModule","UniqueID":"50d132f4_6f61_4073_9dcb_47780d9ff8ec","IsInherited":false}],"Id":"menucontainer"},{"Modules":[{"ModuleType":"OpenQuarters.WebQuarters.Modules.Core.ContentModule","ModuleJSON":"{\"Content\":\"<h2>Welcome to WebQuarters</h2>\\n    <p>\\n        To learn more about WebQuarters visit <a href=\\\"http://asp.net/mvc\\\" title=\\\"ASP.NET MVC Website\\\">http://www.webquarters.info</a>.\\n    </p>\"}","JQueryEditorName":"cmsContentModuleEditor","ModuleName":"Page Content","ModuleNameClassSafe":"pageContent","UniqueID":"af35a7e6_2ed1_491a_9e56_8fbfa02263af","IsInherited":false}],"Id":"main"},{"Modules":[{"ModuleType":"OpenQuarters.WebQuarters.Modules.Core.ContentModule","ModuleJSON":"{\"Content\":\"<p>Copyright 2009 OpenQuarters</p>\"}","JQueryEditorName":"cmsContentModuleEditor","ModuleName":"Page Content","ModuleNameClassSafe":"pageContent","UniqueID":"13ed1cce_a09d_402f_af15_475e08de8998","IsInherited":false}],"Id":"footer"}]}')
SET IDENTITY_INSERT [dbo].[CMSPageVersion] OFF

INSERT [dbo].[UserRole] ([UserId], [RoleId]) VALUES (N'admin', N'SuperAdmin')

INSERT [dbo].[Permission] ([UserId], [RoleId], [Name], [Value]) VALUES (NULL, N'SuperAdmin', N'Admin.AddWorkflowComment', N'')
INSERT [dbo].[Permission] ([UserId], [RoleId], [Name], [Value]) VALUES (NULL, N'Guest', N'CMSPage.View', N'1')
INSERT [dbo].[Permission] ([UserId], [RoleId], [Name], [Value]) VALUES (NULL, N'User', N'CMSPage.View', N'1')
INSERT [dbo].[Permission] ([UserId], [RoleId], [Name], [Value]) VALUES (NULL, N'Editor', N'CMSPage.View', N'1')
INSERT [dbo].[Permission] ([UserId], [RoleId], [Name], [Value]) VALUES (NULL, N'Editor', N'CMSPage.Edit', N'1')
INSERT [dbo].[Permission] ([UserId], [RoleId], [Name], [Value]) VALUES (NULL, N'Editor', N'CMSPage.Create', N'1')
INSERT [dbo].[Permission] ([UserId], [RoleId], [Name], [Value]) VALUES (NULL, N'Editor', N'CMSPage.Delete', N'1')
INSERT [dbo].[Permission] ([UserId], [RoleId], [Name], [Value]) VALUES (NULL, N'Admin', N'CMSPage.View', N'1')
INSERT [dbo].[Permission] ([UserId], [RoleId], [Name], [Value]) VALUES (NULL, N'Admin', N'CMSPage.Edit', N'1')
INSERT [dbo].[Permission] ([UserId], [RoleId], [Name], [Value]) VALUES (NULL, N'Admin', N'CMSPage.Create', N'1')
INSERT [dbo].[Permission] ([UserId], [RoleId], [Name], [Value]) VALUES (NULL, N'Admin', N'CMSPage.Delete', N'1')
INSERT [dbo].[Permission] ([UserId], [RoleId], [Name], [Value]) VALUES (NULL, N'Admin', N'CMSPage.Approve', N'1')
INSERT [dbo].[Permission] ([UserId], [RoleId], [Name], [Value]) VALUES (NULL, N'Admin', N'CMSPage.View', N'1')
INSERT [dbo].[Permission] ([UserId], [RoleId], [Name], [Value]) VALUES (NULL, N'Admin', N'CMSPage.Edit', N'1')
INSERT [dbo].[Permission] ([UserId], [RoleId], [Name], [Value]) VALUES (NULL, N'Admin', N'CMSPage.Create', N'1')
INSERT [dbo].[Permission] ([UserId], [RoleId], [Name], [Value]) VALUES (NULL, N'Admin', N'CMSPage.Delete', N'1')
INSERT [dbo].[Permission] ([UserId], [RoleId], [Name], [Value]) VALUES (NULL, N'Admin', N'CMSPage.Approve', N'1')
INSERT [dbo].[Permission] ([UserId], [RoleId], [Name], [Value]) VALUES (NULL, N'SuperAdmin', N'CMSPage.View', N'1')
INSERT [dbo].[Permission] ([UserId], [RoleId], [Name], [Value]) VALUES (NULL, N'SuperAdmin', N'CMSPage.Edit', N'1')
INSERT [dbo].[Permission] ([UserId], [RoleId], [Name], [Value]) VALUES (NULL, N'SuperAdmin', N'CMSPage.Create', N'1')
INSERT [dbo].[Permission] ([UserId], [RoleId], [Name], [Value]) VALUES (NULL, N'SuperAdmin', N'CMSPage.Delete', N'1')
INSERT [dbo].[Permission] ([UserId], [RoleId], [Name], [Value]) VALUES (NULL, N'SuperAdmin', N'CMSPage.Approve', N'1')
INSERT [dbo].[Permission] ([UserId], [RoleId], [Name], [Value]) VALUES (NULL, N'Guest', N'CMSPage.View', N'2')
INSERT [dbo].[Permission] ([UserId], [RoleId], [Name], [Value]) VALUES (NULL, N'User', N'CMSPage.View', N'2')
INSERT [dbo].[Permission] ([UserId], [RoleId], [Name], [Value]) VALUES (NULL, N'Editor', N'CMSPage.View', N'2')
INSERT [dbo].[Permission] ([UserId], [RoleId], [Name], [Value]) VALUES (NULL, N'Editor', N'CMSPage.Edit', N'2')
INSERT [dbo].[Permission] ([UserId], [RoleId], [Name], [Value]) VALUES (NULL, N'Editor', N'CMSPage.Create', N'2')
INSERT [dbo].[Permission] ([UserId], [RoleId], [Name], [Value]) VALUES (NULL, N'Editor', N'CMSPage.Delete', N'2')
INSERT [dbo].[Permission] ([UserId], [RoleId], [Name], [Value]) VALUES (NULL, N'Admin', N'CMSPage.View', N'2')
INSERT [dbo].[Permission] ([UserId], [RoleId], [Name], [Value]) VALUES (NULL, N'Admin', N'CMSPage.Edit', N'2')
INSERT [dbo].[Permission] ([UserId], [RoleId], [Name], [Value]) VALUES (NULL, N'Admin', N'CMSPage.Create', N'2')
INSERT [dbo].[Permission] ([UserId], [RoleId], [Name], [Value]) VALUES (NULL, N'Admin', N'CMSPage.Delete', N'2')
INSERT [dbo].[Permission] ([UserId], [RoleId], [Name], [Value]) VALUES (NULL, N'Admin', N'CMSPage.Approve', N'2')
INSERT [dbo].[Permission] ([UserId], [RoleId], [Name], [Value]) VALUES (NULL, N'Admin', N'CMSPage.View', N'2')
INSERT [dbo].[Permission] ([UserId], [RoleId], [Name], [Value]) VALUES (NULL, N'Admin', N'CMSPage.Edit', N'2')
INSERT [dbo].[Permission] ([UserId], [RoleId], [Name], [Value]) VALUES (NULL, N'Admin', N'CMSPage.Create', N'2')
INSERT [dbo].[Permission] ([UserId], [RoleId], [Name], [Value]) VALUES (NULL, N'Admin', N'CMSPage.Delete', N'2')
INSERT [dbo].[Permission] ([UserId], [RoleId], [Name], [Value]) VALUES (NULL, N'Admin', N'CMSPage.Approve', N'2')
INSERT [dbo].[Permission] ([UserId], [RoleId], [Name], [Value]) VALUES (NULL, N'SuperAdmin', N'CMSPage.View', N'2')
INSERT [dbo].[Permission] ([UserId], [RoleId], [Name], [Value]) VALUES (NULL, N'SuperAdmin', N'CMSPage.Edit', N'2')
INSERT [dbo].[Permission] ([UserId], [RoleId], [Name], [Value]) VALUES (NULL, N'SuperAdmin', N'CMSPage.Create', N'2')
INSERT [dbo].[Permission] ([UserId], [RoleId], [Name], [Value]) VALUES (NULL, N'SuperAdmin', N'CMSPage.Delete', N'2')
INSERT [dbo].[Permission] ([UserId], [RoleId], [Name], [Value]) VALUES (NULL, N'SuperAdmin', N'CMSPage.Approve', N'2')
INSERT [dbo].[Permission] ([UserId], [RoleId], [Name], [Value]) VALUES (NULL, N'Guest', N'CMSPage.View', N'2')
INSERT [dbo].[Permission] ([UserId], [RoleId], [Name], [Value]) VALUES (NULL, N'Guest', N'CMSPage.View', N'2')
INSERT [dbo].[Permission] ([UserId], [RoleId], [Name], [Value]) VALUES (NULL, N'SuperAdmin', N'Module.CreateInstance', N'OpenQuarters.WebQuarters.Modules.Core.ContentModule')
INSERT [dbo].[Permission] ([UserId], [RoleId], [Name], [Value]) VALUES (NULL, N'SuperAdmin', N'Module.CreateInstance', N'OpenQuarters.WebQuarters.Modules.Core.LoginModule')
INSERT [dbo].[Permission] ([UserId], [RoleId], [Name], [Value]) VALUES (NULL, N'SuperAdmin', N'CMSPage.Order', N'')
INSERT [dbo].[Permission] ([UserId], [RoleId], [Name], [Value]) VALUES (NULL, N'Admin', N'CMSPage.Order', N'')
