﻿CREATE TABLE [dbo].[CMSPageTemplate](
	[PageTemplateId] [int] IDENTITY(1,1) NOT NULL,
	[Title] [nvarchar](100) NOT NULL,
	[LanguageId] [varchar](2) NOT NULL,
	[Template] [varchar](50) NOT NULL,
	[Keywords] [nvarchar](255) NULL,
	[Description] [nvarchar](255) NULL,
	[Definition] [ntext] NOT NULL,
	[Tags] [nvarchar](1000) NULL,
	[NoFollow] [bit] NOT NULL,
	[Timestamp] [timestamp] NOT NULL,
 CONSTRAINT [PK_CMSPageTemplate2] PRIMARY KEY CLUSTERED 
(
	[PageTemplateId] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]