﻿{#template MAIN}
<div class="cmsWorkflowItem" rel="{$T.json_WorkflowItemId}">
<p class="cmsInfo{#if $T.json_Status == 'Approved'} cmsSuccess{#/if}{#if $T.json_Status == 'Rejected'} cmsFailure{#/if}""><b>There is an associated {$T.json_Category} workflow item:</b>
<br /><br />
{$T.json_Operation} {$T.json_TargetType} {$T.json_TargetName}
<br /><br />
{#if $T.json_Status == 'Open'}
{#if $T.json_CurrentUserHasPermission}
    <div class="cmsFormRow">
    <input type="submit" class="cmsBtn cmsApproveWorkflowItem" value="Approve" />
    &nbsp;
    <input type="submit" class="cmsBtn cmsRejectWorkflowItem" value="Reject" />
    </div>
{#else}
    Awaiting approval
{#/if}
{#else}
    This workflow item has been {$T.json_Status}
{#/if}
</p>
<h3 class="cmsH3">Comments</h3>
<div>
    <input type="text" style="width: 300px;" class="cmsTxt" id="txtComment_{$T.json_WorkflowItemId}" value="" />
    <input type="submit" class="cmsBtn addCommentBtn" rel="{$T.json_WorkflowItemId}" value="Add" />
</div>
{#if $T.json_Comments.length > 0}
    {#foreach $T.json_Comments as r}
    {#include row root=$T.r}
    {#/for}
{#/if}
</div>

{#/template MAIN}

{#template row}
<div class="cmsWorkflowComment">
    {$T.json_Comment}<br />
    <small>{$T.json_UserId} @ {$T.json_DateCreated}</small>
</div>
{#/template row}