﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI.HtmlControls;
using System.Web.UI;
using OpenQuarters.WebQuarters.Utils;
using OpenQuarters.WebQuarters.Core;
using OpenQuarters.WebQuarters.Modules.Core;

namespace OpenQuarters.WebQuarters.Core.Web.Areas.Site.Views.Shared
{
    public class Blank : System.Web.Mvc.ViewPage<List<OpenQuarters.WebQuarters.Core.Module>>
    {
        protected override void OnInit(EventArgs e)
        {
            base.OnInit(e);

            Core.JavaScript.PageContext = new CMSPageVersion()
            {
                json_PageVersionId = -1
            };
            Core.CSS.PageContext = new CMSPageVersion()
            {
                json_PageVersionId = -1
            };

            Core.CSS.ClearStyleSheets();
            Core.JavaScript.ClearScripts();

            ViewData.Model.ForEach(i => i.ToDefinition().InstantiateIn(this));
        }
    }
}

