﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace OpenQuarters.WebQuarters.Core
{
    [Serializable]
    public class CMSPageCollection : List<CMSPage>
    {
        public CMSPageCollection()
        {
        }

        public CMSPageCollection(List<CMSPage> list)
        {
            this.AddRange(list);
            this.Sort();
        }

        public CMSPageCollection(CMSPage page)
        {
            this.Add(page);
            this.Sort();
        }
    }
}
