﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace OpenQuarters.WebQuarters.Core
{
    public partial class Permissions
    {
        public static class CMSPage
        {
            public static Permission View
            {
                get
                {
                    return new Permission()
                    {
                        Name = "CMSPage.View"
                    };
                }
            }

            public static Permission Edit
            {
                get
                {
                    return new Permission()
                    {
                        Name = "CMSPage.Edit"
                    };
                }
            }

            public static Permission Create
            {
                get
                {
                    return new Permission()
                    {
                        Name = "CMSPage.Create"
                    };
                }
            }

            public static Permission Delete
            {
                get
                {
                    return new Permission()
                    {
                        Name = "CMSPage.Delete"
                    };
                }
            }

            public static Permission Approve
            {
                get
                {
                    return new Permission()
                    {
                        Name = "CMSPage.Approve"
                    };
                }
            }

            public static Permission Order
            {
                get
                {
                    return new Permission()
                    {
                        Name = "CMSPage.Order"
                    };
                }
            }
        }
    }
}
