﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace OpenQuarters.WebQuarters.Core
{

    public enum ImageTitleDirection
    {
        Normal,
        Vertical,
        RightToLeft
    }

    public class ImageTitle
    {
        private string _title;
        private string _foreColour;
        private string _backColour;
        private bool _transparent;
        private string _font;
        private int _fontSize;
        private ImageTitleDirection _textDirection;
        private bool _bold;
        private bool _italic;
        private int _width;
        private int _height;
        private string _format;

        public string title
        {
            get { return _title; }
            set { _title = value; }
        }

        public string ForeColour
        {
            get { return _foreColour; }
            set { _foreColour = value; }
        }

        public string BackColour
        {
            get { return _backColour; }
            set { _backColour = value; }
        }

        public bool Transparent
        {
            get { return _transparent; }
            set { _transparent = value; }
        }

        public string Font
        {
            get { return _font; }
            set { _font = value; }
        }

        public int FontSize
        {
            get { return _fontSize; }
            set { _fontSize = value; }
        }

        public ImageTitleDirection TextDirection
        {
            get { return _textDirection; }
            set { _textDirection = value; }
        }

        public bool Bold
        {
            get { return _bold; }
            set { _bold = value; }
        }

        public bool Italic
        {
            get { return _italic; }
            set { _italic = value; }
        }

        public int Width
        {
            get { return _width; }
            set { _width = value; }
        }

        public int Height
        {
            get { return _height; }
            set { _height = value; }
        }

        public string Format
        {
            get { return _format; }
            set { _format = value; }
        }
    }
}
