﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace OpenQuarters.WebQuarters.Core
{
    [global::System.AttributeUsage(AttributeTargets.Class, Inherited = false, AllowMultiple = false)]
    public sealed class ModuleConfigurationAttribute : Attribute
    {
        private bool hidden = false;

        public bool Hidden
        {
            get { return hidden; }
            set { hidden = value; }
        }

        public ModuleConfigurationAttribute()
            : base()
        {
        }
    }
}
