﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace OpenQuarters.WebQuarters.Core
{
    [Serializable]
    public struct ResourceDescriptor
    {
        public string FileName;
        public string Assembly;
        public string FilePath;
        public string Source;

        public ResourceDescriptor(string fileName, string assembly, string filePath, string source)
        {
            this.FileName = fileName;
            this.FilePath = filePath;
            this.Assembly = assembly;
            this.Source = source;
        }
    }
}
