﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace OpenQuarters.WebQuarters.Core
{
    [global::System.AttributeUsage(AttributeTargets.Class, Inherited = true, AllowMultiple = false)]
    public sealed class WorkflowItemHandlerContainerAttribute : Attribute
    {
        public WorkflowItemHandlerContainerAttribute()
        {
        }
    }

    [global::System.AttributeUsage(AttributeTargets.Method, Inherited = true, AllowMultiple = false)]
    public sealed class WorkflowItemHandlerAttribute : Attribute
    {
        public string Operation { get; set; }
        public string TargetType { get; set; }

        public WorkflowItemHandlerAttribute()
        {
        }

        public WorkflowItemHandlerAttribute(string operation, string targetType)
        {
            this.Operation = operation;
            this.TargetType = targetType;
        }
    }
}
