﻿<%@ Control Language="C#" Inherits="System.Web.Mvc.ViewUserControl<OpenQuarters.WebQuarters.Core.PaginationData>" %>
<% if (Model.ItemsPerPage < Model.TotalItemCount) { %>
<div class="cmsItemPager clearfix">
    <% if (OpenQuarters.WebQuarters.Core.User.Current.HasRole("User") && System.IO.File.Exists(Request.MapPath("/Areas/CMS/Content/UserFiles/images/Titles/title-" + OpenQuarters.WebQuarters.Utils.GeneralUtils.ToUrlSafeString(OpenQuarters.WebQuarters.Core.CMSPage.Current.Title) + "-member.gif")))
           { %>
           <h1><img src="<%= "/Areas/CMS/Content/UserFiles/images/Titles/title-" + OpenQuarters.WebQuarters.Utils.GeneralUtils.ToUrlSafeString(OpenQuarters.WebQuarters.Core.CMSPage.Current.Title) + "-member.gif" %>" alt="<%= OpenQuarters.WebQuarters.Core.CMSPage.Current.Title%>" /></h1> 
           <%}
           else if (System.IO.File.Exists(Request.MapPath("/Areas/CMS/Content/UserFiles/images/Titles/title-" + OpenQuarters.WebQuarters.Utils.GeneralUtils.ToUrlSafeString(OpenQuarters.WebQuarters.Core.CMSPage.Current.Title) + ".gif")))
           { %>
           <h1><img src="<%= "/Areas/CMS/Content/UserFiles/images/Titles/title-" + OpenQuarters.WebQuarters.Utils.GeneralUtils.ToUrlSafeString(OpenQuarters.WebQuarters.Core.CMSPage.Current.Title) + ".gif" %>" alt="<%= OpenQuarters.WebQuarters.Core.CMSPage.Current.Title%>" /></h1> 
           <% } else
           {%>
           <h1><%= OpenQuarters.WebQuarters.Core.CMSPage.Current.Title%></h1>
        <% } %>
    <ul class="clearfix">
        <li><%= Model.CurrentPage > 1 ? string.Format("<a href=\"{0}\">< Prev</a>", OpenQuarters.WebQuarters.Utils.GeneralUtils.RepageUrl(Request.Url.AbsoluteUri.ToString(), Model.CurrentPage - 1)) : "< Prev" %></li>
    <% for (int i = 1; i <= (Math.Ceiling(Convert.ToDecimal(Model.TotalItemCount) / Convert.ToDecimal(Model.ItemsPerPage))); i++)
       { %>
            <li<%= (i == Model.CurrentPage ? " class=\"selected\"" : "") %>><a href="<%= OpenQuarters.WebQuarters.Utils.GeneralUtils.RepageUrl(Request.Url.AbsoluteUri.ToString(), i) %>"><%= i %></a></li>
    <% }  %>
        <li><%= Model.CurrentPage < Math.Ceiling(Convert.ToDecimal(Model.TotalItemCount) / Convert.ToDecimal(Model.ItemsPerPage)) ? string.Format("<a href=\"{0}\">Next ></a>", OpenQuarters.WebQuarters.Utils.GeneralUtils.RepageUrl(Request.Url.AbsoluteUri.ToString(), Model.CurrentPage + 1)) : "Next >" %></li>
    </ul>
</div>
<div class="clear"></div>
<% } %>