﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using OpenQuarters.EntityBase;
using System.Configuration;

namespace OpenQuarters.WebQuarters.Modules.MailingList
{
    public class MailListDataContextHelper : IDataContextHelper
    {
        public MailListDataContextHelper()
            : base()
        {
        }

        #region IDataContextHelper Members

        public string GetConnectionString<T>() where T : System.Data.Linq.DataContext
        {
            return ConfigurationManager.ConnectionStrings["WebQuartersConnectionString"].ConnectionString;
        }

        public void RegisterHelpers()
        {
            DataContextHelper.RegisterHelper<MailingListContextDataContext, MailListDataContextHelper>();
        }

        #endregion
    }
}
