﻿/****** Object:  Table [dbo].[MediaItem]    Script Date: 05/18/2009 19:17:24 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[MediaItem](
	[MediaItemId] [int] IDENTITY(1,1) NOT NULL,
	[Title] [nvarchar](250) NOT NULL,
	[Summary] [nvarchar](2000) NULL,
	[Category] [nvarchar](50) NOT NULL CONSTRAINT [DF_MediaItem_Category]  DEFAULT (''),
	[FilePath] [nvarchar](500) NOT NULL,
	[AlternativeFilePath] [nvarchar](500) NULL,
	[IsDefault] [bit] NOT NULL,
	[MediaType] [int] NOT NULL,
	[Order] [int] NOT NULL,
	[Timestamp] [timestamp] NOT NULL,
 CONSTRAINT [PK_Module_MediaGallery_MediaItem] PRIMARY KEY CLUSTERED 
(
	[MediaItemId] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
