﻿<%@ Control Language="C#" Inherits="System.Web.Mvc.ViewUserControl<List<OpenQuarters.WebQuarters.Modules.MediaGallery.MediaItem>>" %>
<div class="gallery">
    <div class="main">
        <% if (Model.Count != 0)
           { %>
            <%= OpenQuarters.WebQuarters.Utils.GeneralUtils.RenderPartialToString("~/Templates/OpenQuarters.WebQuarters.Modules.MediaGallery.MediaItem/List/GalleryItemMain.ascx", Model.OrderByDescending(mi => mi.IsDefault).OrderBy(mi => mi.Order).First()) %>   
        <% }%>
    </div>
    <div class="thumbs">
        <ul>
            <%
            int x = 1;
            foreach (var mediaItem in ViewData.Model.OrderBy(mi => mi.Order))
            { %>
                <li><%= OpenQuarters.WebQuarters.Utils.GeneralUtils.RenderPartialToString("~/Templates/OpenQuarters.WebQuarters.Modules.MediaGallery.MediaItem/List/GalleryItemThumb.ascx", mediaItem) %><%= mediaItem.EditLink %></li>
                <%
                x++;
                if (x > 4) break;
            } %>
        </ul>
    </div>
    <div class="clear"></div>
</div>
<script type="text/javascript">
    $(document).ready(function() {
        $('.gallery .thumbs a').click(function() {
            if ($(this).attr('rel') == 'Flash') {
                $('.gallery .main').empty();
                $('.gallery .main').append($('<div class="flash"></div>'));
                $('.gallery .main .flash:first').flash({
                    src: $(this).attr('href'),
                    width: 410,
                    height: 350,
                    wmode: 'transparent'
                });
            }
            else {
                $('.gallery .main').empty();
                $('.gallery .main').append($('<img src="' + $(this).attr('href') + '" alt="' + $(this).find('img:first').attr('alt') + '" />'));
            }
            return false;
        });
    });
</script>
